EDIT - feature request #10221

Add form to edit the json file with cdmserver info
01/09/2023 10:06 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.36

Severity: normal

Description

For users it is difficult to find and edit the json file to add a new cdm server. Therefore we should have a form in the taxEditor to edit
the json file

Related issues:

Related to EDIT - task #10205: Update GBIF import to modern json library. Closed
Related to EDIT - bug #10287: Remaining issues for Remote Server View Closed
Has duplicate EDIT - feature request #9840: Add the possibility to enter new ... Duplicate

Associated revisions

Revision ab0d5feb - 01/25/2023 01:38 PM - Katja Luther

ref #10221: Add view and wizard to edit remote servers

Revision ed5b62c9 - 01/25/2023 01:45 PM - Katja Luther

ref 10221: abstract class for remote server handler

Revision e98e917e - 01/25/2023 02:31 PM - Katja Luther
ref 10221: adapt view

Revision 2b54bf6d - 01/25/2023 02:56 PM - Katja Luther

ref #10221: fix create new remote server entry

Revision 3367749 - 01/25/2023 02:58 PM - Katja Luther
ref #10221: adaptions in CdmServerinfo

Revision 30ab88dd - 01/26/2023 10:36 AM - Katja Luther
ref #10221: code cleaning

Revision 7a64a6b4 - 03/09/2023 10:02 AM - Katja Luther
ref #10221: change symbol

Revision 8f346bc4 - 03/21/2023 12:33 PM - Katja Luther

ref #10221: save the json file in human readable form

Revision 19436¢33 - 03/23/2023 12:54 PM - Katja Luther

ref #10221: some improvements for remote server view

Revision 97863fae - 03/23/2023 01:05 PM - Katja Luther
ref #10221: add missing change sin CdmServerInfoCOnfig

Revision 875aa5c0 - 03/23/2023 03:13 PM - Katja Luther

ref #10221: add handling for same names

History
#1 - 01/09/2023 10:10 AM - Andreas Miiller
- Related to task #10205: Update GBIF import to modern json library. added

#2 - 01/25/2023 01:39 PM - Katja Luther

- Status changed from New to In Progress

Added new view and edit and delete handlers, the new creation still does not work.

#3 - 01/25/2023 03:10 PM - Katja Luther
- % Done changed from 0 to 40

#4 - 03/09/2023 11:02 AM - Andreas Miiller

- Status changed from In Progress to Resolved

| put this to resolved already so we do not forget it for the release.

#5 - 03/20/2023 03:49 PM - Andreas Miuller

Is this for review already?

#6 - 03/20/2023 03:51 PM - Andreas Miller

- Target version changed from Release 5.44 to Release 5.36

#7 - 03/21/2023 12:01 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review, the json file is now well formatted as well.

#8 - 03/21/2023 10:49 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 40 to 60

Generally it works. Some minor issues:

e double click on a line in the table should open the form (same as context menu "edit")
e for menu "new":

and 8080... so | removed the port.

e} There are so to say two default ports 443

e}
the "check cdmlib version" should have a "(recommended)" behind the checkbox

o even better would be an additional warning that is shown after uncecking the checkbox saying that this is a dangerous mode as it may lead
to incorrect behavior or even data corruption

the last changes as well

#9 - 03/23/2023 11:43 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

| would create a new Ticket and would fix it for the next release. This ticket | would close so that we can do the release today.
#10 - 03/23/2023 12:34 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

#11 - 03/23/2023 02:06 PM - Katja Luther

Andreas Muller wrote in #note-8:

e when deleting a record from the table the record is not removed fully but instead an empty record with default values (Name: New, port: 0)
is shown => | just see that it is even written to the table, but maybe this default record creation does not happen always

This is strange because the standard remove method for maps is used here:
cdmServerMap.remove(remoteServerName);

after this call the map contains the empty entry with key ""

#12 - 03/23/2023 02:21 PM - Katja Luther
Andreas Miller wrote in #note-8:
® maybe we should check if an entry is an exact duplicate of another entry or at least we should check that this does not lead to corruption
o => | tested now and realized that creating an entry with a name that already exists overrides the existing entry which is dangerous
behaviour as it might be unwanted, so we should not allow the creation of a new record with a name that already exists

o => the override may even not be correctly visible in the table as it is not updated correctly in this case (another record maybe updated,
not the one that was overriden)

| tested several times and it is right that entering the same name as an already existing entry results in an update of this entry but the table is correctly
updated.
| will implement a check for the name and maybe we should ask whether the user wants to update the entry or create a new one.

#13 - 03/23/2023 03:15 PM - Katja Luther

Katja Luther wrote in #note-12:
Andreas Muller wrote in #note-8:

e maybe we should check if an entry is an exact duplicate of another entry or at least we should check that this does not lead to
corruption
o => | tested now and realized that creating an entry with a name that already exists overrides the existing entry which is dangerous
behaviour as it might be unwanted, so we should not allow the creation of a new record with a name that already exists
o => the override may even not be correctly visible in the table as it is not updated correctly in this case (another record maybe
updated, not the one that was overriden)

| tested several times and it is right that entering the same name as an already existing entry results in an update of this entry but the table is
correctly updated.
| will implement a check for the name and maybe we should ask whether the user wants to update the entry or create a new one.

This is implemented now, if the name already exists, the user gets a suggestion for another name and can decide whether he/she wants to choose
this or cancel, then the wizard can be edited again.

#14 - 03/23/2023 03:24 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
The remaining issues will come to a new ticket.

#15 - 03/23/2023 03:27 PM - Katja Luther

- Related to bug #10287: Remaining issues for Remote Server View added

#16 - 03/24/2023 12:03 AM - Andreas Miiller
- File clipboard-202303240003-okuw5.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

The current implementation seems to destroy the order of the entries (at least in some cases):
CDM Server: |q,rherta1mn0n1'_l,'.0lg v | | Hovailable | | Rehsh|

localhost
faeu
demo ||

. - mexico_demo
Login: | 2dmi it jobber-1 nnect
[+] Remember demo |

» advanced it=
phycobank.org
integration
Mexico
localhest mgd.

Database :

| Available | [Refresh |

This may confuse users. Can this be fixed fast?

#17 - 03/24/2023 10:23 AM - Katja Luther
- Status changed from Feedback to Closed

Andreas Mller wrote in #note-16:

The current implementation seems to destroy the order of the entries (at least in some cases):

CDM Server: |cyherl.axonam'_l,r.urg v| | Available | | Reinsh|

localhost
faeu
demo |l

. d - mexico_demo
Login: | 20M! ¢t jobber-1 e

[v] Remember dermo |

Database : | Available | [Refresh |

b advanced —TEHittESt
phycobank.org
integration
Mexico
localhost mgd.

This may confuse users. Can this be fixed fast?

moved to follow up ticket, so we can close this ticket

#18 - 03/24/2023 10:23 AM - Katja Luther
- % Done changed from 60 to 100

#19 - 04/24/2023 02:55 PM - Katja Luther

- Has duplicate feature request #9840: Add the possibility to enter new server added

Files
